package com.hc.business.service.impl;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hc.business.mapper.FloatWindowMapper;
import com.hc.business.model.FloatWindow;
import com.hc.business.service.FloatWindowService;
import org.springframework.stereotype.Service;


/**
 * 飘窗表(FloatWindow)表服务实现类
 *
 * @author makejava
 * @since 2023-04-13 08:38:33
 */

@Service("floatWindowService")
public class FloatWindowServiceImpl implements FloatWindowService {

    private final FloatWindowMapper floatWindowMapper;

    public FloatWindowServiceImpl(FloatWindowMapper floatWindowMapper) {
        this.floatWindowMapper = floatWindowMapper;
    }

    /**
     * 通过ID查询单条数据
     *
     * @param floatId 主键
     * @return 实例对象
     */
    @Override
    public FloatWindow queryById(Integer floatId) {
        return this.floatWindowMapper.selectByPrimaryKey(floatId);
    }

    /**
     * 新增数据
     *
     * @param floatWindow 实例对象
     * @return 实例对象
     */
    @Override
    public FloatWindow insert(FloatWindow floatWindow) {
        this.floatWindowMapper.insert(floatWindow);
        return floatWindow;
    }

    /**
     * 修改数据
     *
     * @param floatWindow 实例对象
     * @return 实例对象
     */
    @Override
    public FloatWindow update(FloatWindow floatWindow) {
        this.floatWindowMapper.updateByPrimaryKeySelective(floatWindow);
        return this.queryById(floatWindow.getFloatId());
    }

    /**
     * 通过主键删除数据
     *
     * @param floatId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer floatId) {
        return this.floatWindowMapper.deleteByPrimaryKey(floatId) > 0;
    }

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    @Override
    public PageInfo queryAllByLimit(int page, int size) {
        return PageHelper.startPage(page, size).doSelectPageInfo(this.floatWindowMapper::selectAll);
    }
}
